Easyapache4 Dec 21 update, PHP 8.2 missing

sierrablue

Active Member
Aug 30, 2005
31
3
158
cPanel Access Level
Root Administrator
Centos 7.9
cPanel 106.0.11

Easyapache4 Dec 21 update did not install PHP 8.2, as noted in easyapache4 change logs.
Looking through yum logs I see that installed PHP 8.0 and 8.1 versions were updated but 8.2 wasn't installed.
I didn't see any errors.
Also, couldn't find easyapache4 logs in /usr/local/cpanel/logs. Were they moved to another location?

Any idea why PHP 8.2 wouldn't install?
 
Last edited by a moderator:

sierrablue

Active Member
Aug 30, 2005
31
3
158
cPanel Access Level
Root Administrator
I think you must install it in EasyApache.
It's not in WHM easyapache interface. It shows PHP versions from 5.5 to 8.1. It's also missing in /opt/cpanel. It was never installed by ea4 updater.
Instead of php 8.2, Dec 21 update installed a bunch of easyapache alma linux 8 profiles (20 or so) which I had to manually remove from /etc/cpanel/ea4/profiles/cpanel

Something went wrong with this update and I don't know what. Can't locate easyapache update logs either. Yum logs are fine and show that 8.2 was never installed.
 

sierrablue

Active Member
Aug 30, 2005
31
3
158
cPanel Access Level
Root Administrator
In /etc/cpanel/ea4/profiles/pkg-manifest.json (12/21/20022 date stamp) under "CentOS_7" PHP 8.2 and its packages are missing. They are however listed in both "CentOS_8" and "CentOS_9" sections.

Is this just an oversight on cPanel part, or cPanel won't support PHP 8.2 and later in Centos 7?
If it's an oversight, will it be corrected, and if so, when?
 

DennisMidjord

Well-Known Member
Sep 27, 2016
351
78
78
Denmark
cPanel Access Level
Root Administrator
Can you share some information on the complications of adding PHP 8.2 for CentOS 7, @cPRex?
We weren't going to upgrade our servers from CL7 to CL8 before summer 2023 but it sounds like we might need to do schedule this a lot sooner
 

vacancy

Well-Known Member
Sep 20, 2012
556
223
93
Turkey
cPanel Access Level
Root Administrator
This is bad news.

While Centos 7 support continues until the end of 2024, the lack of 8.2 support is worrying. I hope the cpanel team will do a study on this issue.
 
Last edited:

quietFinn

Well-Known Member
Feb 4, 2006
1,833
422
438
Finland
cPanel Access Level
Root Administrator
  • Like
Reactions: vacancy

osirion

Well-Known Member
Jan 16, 2007
55
4
158
Hey guys,
Any update here? I am running CloudLinux v7.9.0 / cPanel 108.0.11 and run all system updates and still dont see PHP 8.2 as an option under EasyApache 4?
Thanks in advance...
 

quietFinn

Well-Known Member
Feb 4, 2006
1,833
422
438
Finland
cPanel Access Level
Root Administrator
CloudLinux is always slow providing new PHP versions.
 

quietFinn

Well-Known Member
Feb 4, 2006
1,833
422
438
Finland
cPanel Access Level
Root Administrator